Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1895722 - Review Request: python-snipeit - Python Interface to the SnipeIT API
Summary: Review Request: python-snipeit - Python Interface to the SnipeIT API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1896855
TreeView+ depends on / blocked
 
Reported: 2020-11-08 19:01 UTC by Raphael Groner
Modified: 2020-11-27 01:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-20 01:26:23 UTC
Type: ---
dcavalca: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2020-11-08 19:01:06 UTC
Spec URL: https://raphgro.fedorapeople.org/review/py/snipeit/python-snipeit.spec
SRPM URL: https://raphgro.fedorapeople.org/review/py/snipeit/python-snipeit-1.2-1.el7.src.rpm
Description: Python Interface to the SnipeIT API
Fedora Account System Username: raphgro
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=55181898

Comment 1 Davide Cavalca 2020-11-09 00:39:14 UTC
Taking this review

Comment 2 Davide Cavalca 2020-11-09 00:51:45 UTC
- consider suggesting upstream to include a LICENSE file in the repository to make the licensing more explicit
- fedora-review failed to install the package, and it fails for me too when installing it in mock on Rawhide with:

Error: 
 Problem: conflicting requests
  - nothing provides python39-requests needed by python3-snipeit-1.2-1.fc34.noarch
  - nothing provides python39-simplejson needed by python3-snipeit-1.2-1.fc34.noarch


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Expat License". 84
     files have unknown license. Detailed output of licensecheck in
     /home/davide/src/FedoraReview/1895722-python-snipeit/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 501760 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.6 starting (python version = 3.9.0)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled HW Info plugin
Mock Version: 2.6
INFO: Mock Version: 2.6
Finish: chroot init
INFO: installing package(s): /home/davide/src/FedoraReview/1895722-python-snipeit/results/python3-snipeit-1.2-1.fc34.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 34 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/davide/src/FedoraReview/1895722-python-snipeit/results/python3-snipeit-1.2-1.fc34.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: python3-snipeit-1.2-1.fc34.noarch.rpm
          python-snipeit-1.2-1.fc34.src.rpm
python3-snipeit.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-snipeit/README.rst
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Source checksums
----------------
https://github.com/jbloomer/SnipeIT-PythonAPI/raw/master/dist/snipeit-1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 809065fbaa1d8db9b1aa0948a3be98659f00d6da84a6b1d5d9f9e31c7085b1e1
  CHECKSUM(SHA256) upstream package : 809065fbaa1d8db9b1aa0948a3be98659f00d6da84a6b1d5d9f9e31c7085b1e1


Requires
--------
python3-snipeit (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(requests)
    python3.9dist(simplejson)
    python39-requests
    python39-simplejson



Provides
--------
python3-snipeit:
    python-snipeit
    python3-snipeit
    python3.9-snipeit
    python3.9dist(snipeit)
    python3dist(snipeit)



Generated by fedora-review 0.7.5 (e357d19) last change: 2020-08-25
Command line :./try-fedora-review -b 1895722
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Ocaml, Java, Perl, Ruby, PHP, fonts, R, Haskell, SugarActivity, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Raphael Groner 2020-11-09 05:58:52 UTC
Thanks for the review. I'll take a look into the installation error.

Comment 4 Raphael Groner 2020-11-09 15:39:16 UTC
Fixed. Experimented accidently with those python3 macros but not working properly.

Reuploaded, the links are the same.

Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=55243649

Comment 5 Davide Cavalca 2020-11-10 00:06:21 UTC
Confirmed, it installs fine now. Package approved.

Comment 7 Gwyn Ciesla 2020-11-10 15:45:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-snipeit

Comment 8 Fedora Update System 2020-11-11 10:21:39 UTC
FEDORA-2020-4d5b046552 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d5b046552

Comment 9 Fedora Update System 2020-11-11 10:22:08 UTC
FEDORA-2020-5b68d32b39 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5b68d32b39

Comment 10 Fedora Update System 2020-11-11 10:22:35 UTC
FEDORA-EPEL-2020-27d8d1b5c0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-27d8d1b5c0

Comment 11 Raphael Groner 2020-11-11 17:14:01 UTC
While looking at Anitya and PyPi with an already exist project named snipeitpyapi but propably without a maintained package, to implement some upstream monitoring I've found a more recent fork.

There's actually version 1.6 >> 1.2, should we switch to that new upstream as it seems to be caiodelgadonew instead?

https://github.com/caiodelgadonew/SnipeIT-PythonAPI/tree/master/dist

Comment 12 Fedora Update System 2020-11-12 04:08:03 UTC
FEDORA-2020-4d5b046552 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4d5b046552 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d5b046552

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-12 04:42:50 UTC
FEDORA-2020-5b68d32b39 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-5b68d32b39 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5b68d32b39

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-12 05:05:26 UTC
FEDORA-EPEL-2020-27d8d1b5c0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-27d8d1b5c0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-11-20 01:26:23 UTC
FEDORA-2020-5b68d32b39 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-11-20 01:29:17 UTC
FEDORA-2020-4d5b046552 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-11-27 01:12:43 UTC
FEDORA-EPEL-2020-27d8d1b5c0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.